/**
 * Created by zhang on 2018/9/3.
 */

$(document).ready(function () {
    const locked = lockUtil.getLocked();
    lockUtil.lockTools($(document.body), locked);
    try {
        let tem = sortJson(JSON.parse($("#originalFeature").val()));
        $("#templateLibs").val(JSON.stringify(tem.data,null,4));
    }catch (err){
        console.log(err);
    }

   $("#format").click( function() {
       try {
           let jsonText =  $("#templateLibs").val();
           $("#templateLibs").val(JSON.stringify(JSON.parse(jsonText),null,4));
       }catch (err){
           console.log(err);
           alert("输入的JSON格式有误，请重新输入！");
       }
   });
    $("#save").click(async function() {
        try {
            let libID = $("#libID").val();
            let jsonText =  $("#templateLibs").val();
            if(jsonText.indexOf("'")!=-1){
                alert("输入的格式不能包含 ' 位于："+jsonText.substr(jsonText.indexOf("'")-15,18));
                return;
            }
            let newFeature = await ajaxPost("/billCode/saveLib",{query:{ID:libID},data:{data:JSON.parse(jsonText)}});
        }catch (err){
            console.log(err);
            alert("保存失败，请查看输入数据");
        }
    });

    $("#createNormal").click( function() {
        let explorer = [ 
            {
                "code" : "202-2-1",
                "name" : "路面厚",
                "formatName" : "挖除%smm以内厚水泥混凝土路面",
                "formatName2" : "挖除%smm厚水泥混凝土路面",
                "unit":"m2",
                "subArea":false,
                "startValue":50,
                "stepValue":50,
                "startCode":2
            },
            {
                "code" : "202-2-2",
                "name" : "路面厚",
                "formatName" : "挖除%smm以内厚沥青混凝土路面",
                "formatName2" : "挖除%smm厚沥青混凝土路面",
                "unit":"m2",
                "subArea":true,
                "startValue":20,
                "stepValue":10,
                "startCode":2
            }
        ];
        try {
            let jsonText =  JSON.stringify(explorer);
            $("#templateLibs").val(JSON.stringify(JSON.parse(jsonText),null,4));
        }catch (err){
            console.log(err);
        }
    })
});
